> This page is for Applications Protection.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.humansecurity.com/llms.txt.

# Get alert status by request ID

GET https://api.humansecurity.com/v1/platform/external/alerts/status/{requestId}

Get the status of a request by its ID.

Reference: https://docs.humansecurity.com/applications/reference/get-alert-by-request-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `requestId` (string, required) — The unique ID of the request to query.

## Response

### 200

Success

- `created_at` (string, optional) — The time alert was created in UTC.
- `failure_reason` (enum, optional)
  - Allowed values: `StartTimeoutError`, `ProcessingTimeoutError`, `GeneralError`, `EmptyResultError`, `TooSmallBackgroundError`, `TooSmallForegroundError`, `EmptyBackgroundError`, `EmptyForegroundError`
- `status` (enum, optional)
  - Allowed values: `pending`, `finished`, `validation failed`, `internal failure`, `start timeout`, `processing timeout`
- `updated_at` (string, optional) — The time the alert was last updated in UTC.

## Errors

### 400 Bad Request Error

The request was invalid.

- `any`

### 401 Unauthorized Error

Authentication missing or invalid.

- `any`

### 500 Internal Server Error

Internal server error.

- `any`

## Examples

**Response**

```json
{
  "created_at": "2023-10-01T12:00:00Z",
  "failure_reason": "GeneralError",
  "status": "finished",
  "updated_at": "2023-10-01T12:00:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.humansecurity.com/v1/platform/external/alerts/status/requestId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.humansecurity.com/v1/platform/external/alerts/status/requestId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.humansecurity.com/v1/platform/external/alerts/status/requestId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.humansecurity.com/v1/platform/external/alerts/status/requestId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.humansecurity.com/v1/platform/external/alerts/status/requestId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.humansecurity.com/v1/platform/external/alerts/status/requestId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.humansecurity.com/v1/platform/external/alerts/status/requestId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.humansecurity.com/v1/platform/external/alerts/status/requestId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```